// pages/apply/apply.js
const app = getApp()
const $api = require('../../utils/api.js').API;
import md5 from '../../utils/md5.js';//支付页面引入md5.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
      type:2,
      info:{},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
      this.setData({
        type:options.type
      })
        $api.getsignup().then(res=>{
            this.setData({
                info:res.data.data
            })
        })
    },
    tab(e){
        this.setData({
            page:e.target.dataset.id
        })
    },
    post(){
        wx.navigateTo({
          url: '../signup/signup?type='+this.data.type,
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})